Last modified: 2014-02-24 07:38:14 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60327 - Enable IME by default for Wikimedia Malayalam Wikis
Enable IME by default for Wikimedia Malayalam Wikis
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: High normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: uls-deployment 56295 60329
  Show dependency treegraph
 
Reported: 2014-01-22 06:30 UTC by praveenp
Modified: 2014-02-24 07:38 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description praveenp 2014-01-22 06:30:16 UTC
Disabling ULS ([[bugzilla:46306]]) by default cause loss of typing tool in Malayalam Language wikis. Although it is possible to enable from preference, it need to load unnecessary components and not-logged in users has no such privilege.

All these wikis enjoyed some kind of built-in typing tool atleast since 2007. ULS itself replaced a more responsive, simple and easily identifiable Narayam typing tool.
Comment 1 Sam Reed (reedy) 2014-01-22 18:27:25 UTC
(In reply to comment #0)
> All these wikis enjoyed some kind of built-in typing tool atleast since 2007.
> ULS itself replaced a more responsive, simple and easily identifiable Narayam
> typing tool.

I note Narayam was undeployed a while ago

I've also no idea if it's in a working state with relation to HEAD of master of MediaWiki core
Comment 2 Andre Klapper 2014-01-22 22:09:45 UTC
Disabling ULS is temporarily (see bug 46306 comment 115).

So this bug report will automatically fix itself once ULS is enabled again.
Comment 3 praveenp 2014-01-23 19:05:12 UTC
What we needed to do in the meantime? No typing tool available by default and it is not available for anonymous users even with any settings.
Comment 4 praveenp 2014-01-23 19:13:13 UTC
This is not an enhancement. We are asking to reinstate a taken away feature which is essential for users who need to contribute in a language which is not available in normal / common keyboard.
Comment 5 Andre Klapper 2014-01-24 12:09:08 UTC
As I wrote in comment 2, ULS will be reinstated once it has been fixed.
Comment 6 praveenp 2014-02-06 06:16:36 UTC
It is almost 2 weeks since edit options disabled. Any progress?!! Please don't repeat comment 2, we clearly understood that. What we need is a typing tool.
Comment 7 MZMcBride 2014-02-06 07:11:56 UTC
(In reply to comment #6)
> What we need is a typing tool.

Hi praveenp. Out of curiosity, what do Malayalam users do on other sites? Even if UniversalLanguageSelector were re-enabled right now, it is pretty much exclusive to Wikimedia wikis (Wikipedias, Wiktionaries, etc.). How is this problem solved or worked around elsewhere on the Internet?
Comment 8 Viswaprabha 2014-02-06 07:33:46 UTC
(In reply to comment #7)

> if UniversalLanguageSelector were re-enabled right now, it is pretty much
> exclusive to Wikimedia wikis (Wikipedias, Wiktionaries, etc.). How is this
> problem solved or worked around elsewhere on the Internet?

That is an interesting question. People have been using various IME methods in Malayalam. Not any particular one is clearly dominant. But a large percentage of Malayalam 'speaking' community has been even avoiding typing in Malayalam script just because of the initial complex efforts required to install and learn an IME. So they would use something nicknamed 'manglish', Malayalam words written using English letters.

With the introduction of Narayam a few years back, many such users had turned to start typing in proper Malayalam script. Often, a person will open a blank new wikipedia page, choose the Narayam IME, type in whatever (s)he wanted and copy paste it to the 'other' page. In the end, he would just leave the Wikipedia page without saving it! This same practice would continue just as WM projects threw off Narayam and introduced ULS.

So, as you may see, Narayam/ULS was even helping a lot of people to fulfill their non-Wikipedia inputting needs!

As for one, I frequently use such temporary Wikipedia pages (in their respective local language versions)  for typing (non-frequently) words in Tamil, Devanagari, Telugu, Kannada etc.
Comment 9 Andre Klapper 2014-02-06 09:00:20 UTC
(In reply to comment #6)
> It is almost 2 weeks since edit options disabled. Any progress?!!

The underlying changes in ULS are currently throughly tested before getting deployed. We all want it to get deployed again rather sooner than later but we also want it to be tested really well, hence I can only ask for some more patience.
Comment 10 Nemo 2014-02-06 09:20:12 UTC
MZMcBride, Wikimedia projects are often in languages not really/properly used anywhere else (or not in daily/public life), like it or not. MediaWiki/Wikimedia clearly strives to provide a higher language support than is standard/common, so it's IMHO rather pointless to continuously repeat in random bugs that doing so has a cost etc. etc. IMHO. Curiosity is fine and this comment by me is more offtopic than yours, but you may want to address the topic/open the discussion from a wider point of view in a more general forum.
Comment 11 praveenp 2014-02-06 14:28:27 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > What we need is a typing tool.
> 
> Hi praveenp. Out of curiosity, what do Malayalam users do on other sites?

There are are various typing tools available including IBus, SCIM, Keymagic etc which need various levels of admin rights to install and manage. Malayalam typing tool available in Wikimedia wikis popularly used to type and copy Malayalam to other sites without installing additional softwares.

Since you are curious, let me share the information that unlike other sites, content of Wikimedia wikis are generated by voluntary editors from various fields and many of them are not computer proficient. 
 
(In reply to comment #9)
> The underlying changes in ULS are currently throughly tested before getting
> deployed. We all want it to get deployed again rather sooner than later but
> we
> also want it to be tested really well, hence I can only ask for some more
> patience.

Is there any option to call / enable IME from mediawiki:common.js in the meantime?
Comment 12 MZMcBride 2014-02-07 02:22:37 UTC
Viswaprabha and praveenp, thank you both for your responses. They were very helpful to me. I now have a slightly better understanding of the issues and complexities here. The anecdote about Wikimedia wikis being used as an input tool for other sites was particularly interesting and neat. :-)

(In reply to comment #11)
> Is there any option to call / enable IME from mediawiki:common.js in the
> meantime?

Probably, but it's not recommended. I'd suggest waiting for bug 60304 to be resolved, which will probably happen in the upcoming week. The bug comments at bug 60304 aren't very useful, but the linked Gerrit change #108988 is nearly ready. The proposed code change just needs to be merged (approved) and then deployed (after being scheduled at [[wikitech:deployments]]).
Comment 13 praveenp 2014-02-11 17:19:20 UTC
(In reply to comment #12)
> Probably, but it's not recommended. I'd suggest waiting for bug 60304 to be
> resolved, which will probably happen in the upcoming week.
A Built in input mechanism is essential for our wikis because of problems like above mentioned ones. However current situation (ULS disabled by default) generally welcomed because experienced users are familiar with other input options and are happy with a lighter site. Also they don't need to load additional webfont framework for the sake of IME now. Although I didn't use Built in input feature since the deployment of ULS, personally I believe this is bad and inability to edit in Malayalam will seriously discourage new users (including those who experimenting anonymously).
Comment 14 shubha 2014-02-20 10:40:24 UTC
ULS disabled by default is really creating a serious problem also in Samskrit wiki. Recently we conducted sa wiki workshop for a group of volunteers who were from different states of India. Now they are introducing sa wiki in their places and many new users are expressing their discouragement because of the inablility to search and experiment. Better to solve this at the earliest.
Comment 15 Andre Klapper 2014-02-20 12:22:50 UTC
shubha: Please see https://www.mediawiki.org/wiki/Universal_Language_Selector/Announcement_Feb2014 and https://www.mediawiki.org/wiki/Universal_Language_Selector/Upcoming_Development_Plan

In short: Most of ULS will come back soon, but webfonts delivery will need to specifically be enabled by each user via a checkbox in the Language Panel.
Comment 16 Nemo 2014-02-24 07:38:14 UTC
Done on all projects last week (all Wikipedias on the 20th) as said above.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links